{
"error": "Unauthorized",
"message": "Invalid API key provided"
}
{
"error": "Payment Required",
"message": "This endpoint requires a paid subscription. Please upgrade your plan."
}
{
"error": "Not Found",
"message": "Ticker XXXX not found"
}
Financial Metrics
Financial Metrics API (Snapshot)
The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.
GET
/
financial-metrics
/
snapshot
Financial Metrics Snapshot (Real-Time)
curl --request GET \
--url https://api.financialdatasets.ai/financial-metrics/snapshot \
--header 'X-API-KEY: <api-key>'
We have real-time financial metrics for all actively-traded equities in the US.To get started, please create an account and grab your API key at financialdatasets.ai.You will use the API key to authenticate your API requests.
import requests# add your API key to the headersheaders = { "X-API-KEY": "your_api_key_here"}# set your query paramsticker = 'AAPL'# create the URLurl = ( f'https://api.financialdatasets.ai/financial-metrics/snapshot' f'?ticker={ticker}')# make API requestresponse = requests.get(url, headers=headers)# parse snapshot from the responsesnapshot = response.json().get('snapshot')
The market the company is listed in: US (the default), UK or FR. Any ticker of the company, including a second share class, returns the company's metrics. Price-based values (market cap, enterprise value, valuation ratios, dividend yield) are not yet available for UK tickers.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Financial Datasets","description":"Financial Datasets is a stock market API with financial data for 27,000+ tickers over 30+ years, including financial statements, equity prices, insider transactions, SEC filings, and more.","colors":{"primary":"#26251E","light":"#F7F7F4","dark":"#14120B"},"logo":{"light":"https://mintcdn.com/financialdatasets/a_k2mvb6Uv1PgEyn/logo/light.svg?fit=max\u0026auto=format\u0026n=a_k2mvb6Uv1PgEyn\u0026q=85\u0026s=daeaecf8e650c693ec5950b51cbe29d2","dark":"https://mintcdn.com/financialdatasets/a_k2mvb6Uv1PgEyn/logo/dark.svg?fit=max\u0026auto=format\u0026n=a_k2mvb6Uv1PgEyn\u0026q=85\u0026s=df6176301195f4de6325ee3295c73658","href":"https://financialdatasets.ai"},"favicon":"https://mintcdn.com/financialdatasets/3kIYTNCZBSs0PnUp/favicon.svg?fit=max\u0026auto=format\u0026n=3kIYTNCZBSs0PnUp\u0026q=85\u0026s=a6d7e62b40c8bf35ca0b03f74fde99b2","appearance":{"default":"system"},"background":{"color":{"light":"#F7F7F4","dark":"#14120B"}},"navbar":{"links":[{"href":"/support","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://financialdatasets.ai"}},"footer":{"socials":{"x":"https://x.com/virattt","github":"https://github.com/virattt"}},"seo":{"metatags":{"image":"/images/new-docs.png","type":"website","title":"Financial Datasets - API Documentation","description":"Financial Datasets is a stock market API with financial data for 27,000+ tickers over 30+ years, including financial statements, equity prices, insider transactions, SEC filings, and more."}},"fonts":{"heading":{"family":"Literata"},"body":{"family":"Inter"}},"styling":{"codeblocks":{"theme":{"light":"vitesse-light","dark":"vitesse-dark"}},"latex":true},"markdown":{"instructions":["The Financial Datasets API is served at https://api.financialdatasets.ai. Authenticate with the `X-API-KEY` header; create keys at https://financialdatasets.ai. Agents can open and fund their own account without a dashboard: see https://docs.financialdatasets.ai/agents.md.","Tool-using agents can call Financial Datasets without writing code through the hosted MCP server at https://mcp.financialdatasets.ai/.","The OpenAPI spec at https://financialdatasets.ai/openapi.json is the source of truth for request and response schemas.","The index of every docs page is at https://docs.financialdatasets.ai/llms.txt. Append .md to any docs URL to get that page as Markdown."]},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"financialdatasets","hasAudioNarration":false,"actualSubdomain":"financialdatasets","customDomains":["docs.financialdatasets.ai"],"gitSource":{"type":"github","owner":"virattt","repo":"fd-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6af62d7a46038436af7539c4","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"Datasets","count":49},{"language":"default","tag":"Guides","count":7},{"language":"default","tag":"Integrations","count":6},{"language":"default","tag":"Financial Statements","count":6},{"language":"default","tag":"Segmented Financials","count":4},{"language":"default","tag":"Overview","count":4},{"language":"default","tag":"Operating KPIs","count":3},{"language":"default","tag":"Stock Prices","count":3},{"language":"default","tag":"Company","count":2},{"language":"default","tag":"Earnings","count":2}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"nav a[href=\"https://financialdatasets.ai\"] img,header a[href=\"https://financialdatasets.ai\"] img,a[aria-label=\"home\"] img,[class*=\"navbar\"] img,[class*=\"logo\"] img{height:32px!important;max-height:32px!important}:root{font-size:16px!important}article,[class*=\"prose\"]{font-size:15px!important}h2,h3,h4,h5,h6,.font-headingsFamily:not(h1){font-family:var(--font-family-body-custom, var(--font-inter)), -apple-system, BlinkMacSystemFont, \"Segoe UI\", system-ui, sans-serif!important}.tryit-button{background-color:#14120B!important;color:#F7F7F4!important;border-color:#14120B!important}.tryit-button:hover{background-color:#3b3a33!important}.tryit-button svg{background-color:#F7F7F4!important}:is(.dark,[class~=\"dark\"]) .tryit-button{background-color:#F7F7F4!important;color:#14120B!important;border-color:#F7F7F4!important}:is(.dark,[class~=\"dark\"]) .tryit-button:hover{background-color:#d7d6d5!important}:is(.dark,[class~=\"dark\"]) .tryit-button svg{background-color:#14120B!important}.method-pill{background-color:rgba(38, 37, 30, 0.15)!important;color:#26251E!important}:is(.dark,[class~=\"dark\"]) .method-pill{background-color:rgba(237, 236, 236, 0.2)!important;color:#EDECEC!important}.method-nav-pill>*{background-color:rgba(38, 37, 30, 0.12)!important;color:#26251E!important}:is(.dark,[class~=\"dark\"]) .method-nav-pill>*{background-color:rgba(237, 236, 236, 0.15)!important;color:#EDECEC!important}:is(.dark,[class~=\"dark\"]) .nav-tag-pill-text{background-color:rgba(237, 236, 236, 0.15)!important;color:#EDECEC!important}[class*=\"accordion\"],[data-state]>[class*=\"accordion\"],details,details>summary{background:transparent!important;background-color:transparent!important}.code-group.code-group.code-group,.code-block.code-block.code-block{background:#F2F1ED!important;background-color:#F2F1ED!important;border-color:#D4D4D4!important;padding:0!important;overflow:hidden!important}.code-group.code-group>*,.code-block.code-block>*,.code-group.code-group div,.code-block.code-block div,.code-group.code-group pre,.code-block.code-block pre,.code-group.code-group pre[style],.code-block.code-block pre[style],.code-group.code-group code,.code-block.code-block code,.code-group.code-group [class*=\"shiki\"],.code-block.code-block [class*=\"shiki\"],.code-group.code-group [style*=\"background\"],.code-block.code-block [style*=\"background\"]{background:#F2F1ED!important;background-color:#F2F1ED!important;padding-top:0!important;padding-bottom:0!important;margin:0!important}:is(.dark,[class~=\"dark\"]) .code-group.code-group.code-group,:is(.dark,[class~=\"dark\"]) .code-block.code-block.code-block{background:#1B1913!important;background-color:#1B1913!important;border-color:transparent!important;padding:0!important;overflow:hidden!important}:is(.dark,[class~=\"dark\"]) .code-group.code-group>*,:is(.dark,[class~=\"dark\"]) .code-block.code-block>*,:is(.dark,[class~=\"dark\"]) .code-group.code-group div,:is(.dark,[class~=\"dark\"]) .code-block.code-block div,:is(.dark,[class~=\"dark\"]) .code-group.code-group pre,:is(.dark,[class~=\"dark\"]) .code-block.code-block pre,:is(.dark,[class~=\"dark\"]) .code-group.code-group pre[style],:is(.dark,[class~=\"dark\"]) .code-block.code-block pre[style],:is(.dark,[class~=\"dark\"]) .code-group.code-group code,:is(.dark,[class~=\"dark\"]) .code-block.code-block code,:is(.dark,[class~=\"dark\"]) .code-group.code-group [class*=\"shiki\"],:is(.dark,[class~=\"dark\"]) .code-block.code-block [class*=\"shiki\"],:is(.dark,[class~=\"dark\"]) .code-group.code-group [style*=\"background\"],:is(.dark,[class~=\"dark\"]) .code-block.code-block [style*=\"background\"]{background:#1B1913!important;background-color:#1B1913!important;padding-top:0!important;padding-bottom:0!important;margin:0!important}div:has(>#sidebar){max-width:none!important}#navbar .max-w-8xl{max-width:none!important}#footer .docs-footer-llms{margin-left:auto;align-self:center;font-size:0.875rem;color:rgba(38, 37, 30, 0.6);text-decoration:none;white-space:nowrap}#footer .docs-footer-llms:hover{color:#26251E}:is(.dark,[class~=\"dark\"]) #footer .docs-footer-llms{color:rgba(237, 236, 236, 0.55)}:is(.dark,[class~=\"dark\"]) #footer .docs-footer-llms:hover{color:#EDECEC}#navigation-items>div+div{margin-top:0.875rem;padding-top:0.875rem;border-top:1px solid rgba(38, 37, 30, 0.12)}:is(.dark,[class~=\"dark\"]) #navigation-items>div+div{border-top-color:rgba(237, 236, 236, 0.14)}.endpoint-tables table{table-layout:fixed;width:100%}.endpoint-tables th:first-child,.endpoint-tables td:first-child{width:54%;overflow-wrap:anywhere}"}],"page":{"pagePath":"api/financial-metrics/snapshot","slug":"/api/financial-metrics/snapshot","pageMetadata":{"title":"Financial Metrics API (Snapshot)","sidebarTitle":"Snapshot","description":"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.","openapi":"GET /financial-metrics/snapshot","href":"/api/financial-metrics/snapshot"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`3`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`We have real-time financial metrics for all actively-traded equities in the US.`}),`\n`,_jsxs(_components.p,{children:[`To get started, please create an account and grab your `,_jsx(`b`,{children:`API key`}),` at `,_jsx(_components.a,{href:`https://financialdatasets.ai`,children:`financialdatasets.ai`}),`.`]}),`\n`,_jsx(_components.p,{children:`You will use the API key to authenticate your API requests.`}),`\n`,_jsx(Heading,{level:`3`,id:`coverage`,children:`Coverage`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Tickers`}),_jsx(_components.th,{children:`Years of Coverage`}),_jsx(_components.th,{children:`Updated`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{\"data-numeric\":`true`,children:`13,000+`}),_jsx(_components.td,{children:`Latest`}),_jsx(_components.td,{children:`Within 1 second`})]})})]}),`\n`,_jsx(Heading,{level:`3`,id:`getting-started`,children:`Getting Started`}),`\n`,_jsx(_components.p,{children:`There are only 3 steps for making a successful API call:`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsxs(_components.li,{children:[`Add your API key to the header of the request as `,_jsx(_components.code,{children:`X-API-KEY`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`Add query params like `,_jsx(_components.code,{children:`ticker`}),` to filter the data.`]}),`\n`,_jsx(_components.li,{children:`Execute the API request.`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Note`}),`: You must provide the `,_jsx(_components.code,{children:`ticker`}),`.`]}),`\n`,_jsx(Heading,{level:`3`,id:`example`,children:`Example`}),`\n`,_jsx(CodeBlock,{filename:`Financial Metrics Snapshot`,numberOfLines:`21`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes vitesse-light vitesse-dark`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#121212`,color:`#393a34`,\"--shiki-dark\":`#dbd7caee`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`21`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1E754F`,\"--shiki-dark\":`#4D9375`},children:`import`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#A0ADA0`,\"--shiki-dark\":`#758575DD`},children:`# add your API key to the headers`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`headers `}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:` \"`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`X-API-KEY`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:`\"`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`:`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:` \"`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`your_api_key_here`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:`\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#A0ADA0`,\"--shiki-dark\":`#758575DD`},children:`# set your query params`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`ticker `}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:` '`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`AAPL`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:`'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#A0ADA0`,\"--shiki-dark\":`#758575DD`},children:`# create the URL`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`url `}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:` (`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#AB5959`,\"--shiki-dark\":`#CB7676`},children:` f`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`'https://api.financialdatasets.ai/financial-metrics/snapshot'`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#AB5959`,\"--shiki-dark\":`#CB7676`},children:` f`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`'?ticker=`}),_jsx(_components.span,{style:{color:`#A65E2B`,\"--shiki-dark\":`#C99076`},children:`{`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`ticker`}),_jsx(_components.span,{style:{color:`#A65E2B`,\"--shiki-dark\":`#C99076`},children:`}`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#A0ADA0`,\"--shiki-dark\":`#758575DD`},children:`# make API request`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`response `}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:` requests`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`.`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`get`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`(`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`url`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`,`}),_jsx(_components.span,{style:{color:`#B07D48`,\"--shiki-dark\":`#BD976A`},children:` headers`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`headers`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#A0ADA0`,\"--shiki-dark\":`#758575DD`},children:`# parse snapshot from the response`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`snapshot `}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`=`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:` response`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`.`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`json`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`().`}),_jsx(_components.span,{style:{color:`#393A34`,\"--shiki-dark\":`#DBD7CAEE`},children:`get`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`(`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:`'`}),_jsx(_components.span,{style:{color:`#B56959`,\"--shiki-dark\":`#C98A7D`},children:`snapshot`}),_jsx(_components.span,{style:{color:`#B5695977`,\"--shiki-dark\":`#C98A7D77`},children:`'`}),_jsx(_components.span,{style:{color:`#999999`,\"--shiki-dark\":`#666666`},children:`)`})]}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"vitesse-light","dark":"vitesse-dark"}},"config":{},"pageMetadata":{"title":"Financial Metrics API (Snapshot)","sidebarTitle":"Snapshot","description":"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.","openapi":"GET /financial-metrics/snapshot","href":"/api/financial-metrics/snapshot"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":3,"children":[]},{"title":"Coverage","slug":"coverage","depth":3,"children":[]},{"title":"Getting Started","slug":"getting-started","depth":3,"children":[]},{"title":"Example","slug":"example","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/financialdatasets/8043b90d12abf431/llms-footer-link.js","/_mintlify/custom/financialdatasets/bbf9c5270a9ae9d7/landing-source.js"],"openApiReferenceData":{"operation":{"tags":["Financial Metrics"],"operationId":"getFinancialMetricsSnapshot","summary":"Financial Metrics Snapshot (Real-Time)","description":"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.","parameters":["8227b7d0-d134-43ee-82f1-03537ac10e79","51e27911-5ce6-448c-b1cb-2736fc69c5d1","ef13dd30-5f71-45bf-b3d8-9dab3bf6fb21","2ffcbd99-1cb7-461b-9964-ab5238f5ae1e","2898f02e-4ddb-4c5c-a920-b3a4551d623f"],"responses":{"200":"4232485a-8e00-471e-85e5-dae8de839b22","400":"325f4c0d-a302-4bd9-bbe0-97616a9f5b96","401":"6aa54eb2-97e5-44e8-8eda-9b324d6cd57c","402":"fbda122d-5d21-461e-8218-b0e630e365e3","404":"845f5ac1-b9ed-40c0-bbf6-5879a7c2eadd"},"method":"get","type":"path","servers":["6743c038-7a20-4c6b-a97d-4577e760fd5d"],"security":["8818abad-b02e-49df-aeb4-7a72516a479d"],"path":"/financial-metrics/snapshot","baseUrlOptions":["https://api.financialdatasets.ai/"],"title":"Financial Metrics Snapshot (Real-Time)","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"8227b7d0-d134-43ee-82f1-03537ac10e79":{"name":"ticker","in":"query","description":"The ticker symbol of the company.","required":false,"schema":{"type":"string","isRequired":false,"description":"The ticker symbol of the company.","uniqueKey":"","typeLabel":"string"}},"51e27911-5ce6-448c-b1cb-2736fc69c5d1":{"name":"cik","in":"query","description":"The Central Index Key (CIK) of the company. Can be used instead of ticker.","required":false,"schema":{"type":"string","isRequired":false,"description":"The Central Index Key (CIK) of the company. Can be used instead of ticker.","uniqueKey":"","typeLabel":"string"}},"ef13dd30-5f71-45bf-b3d8-9dab3bf6fb21":{"name":"market","in":"query","description":"The market the company is listed in: `US` (the default), `UK` or `FR`. Any ticker of the company, including a second share class, returns the company's metrics. Price-based values (market cap, enterprise value, valuation ratios, dividend yield) are not yet available for UK tickers.","required":false,"schema":{"type":"string","enum":["US","UK","FR"],"isRequired":false,"description":"The market the company is listed in: `US` (the default), `UK` or `FR`. Any ticker of the company, including a second share class, returns the company's metrics. Price-based values (market cap, enterprise value, valuation ratios, dividend yield) are not yet available for UK tickers.","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"2ffcbd99-1cb7-461b-9964-ab5238f5ae1e":{"name":"exchange","in":"query","deprecated":true,"description":"Deprecated alias of `market`: `LSE` means `market=UK`. Existing requests keep working. France has no alias: name it with `market=FR`.","required":false,"schema":{"type":"string","isRequired":false,"description":"Deprecated alias of `market`: `LSE` means `market=UK`. Existing requests keep working. France has no alias: name it with `market=FR`.","uniqueKey":"","typeLabel":"string"}},"2898f02e-4ddb-4c5c-a920-b3a4551d623f":{"name":"isin","in":"query","description":"The ISIN (International Securities Identification Number) of a non-US listing. An alternative to `ticker` and `market`.","required":false,"schema":{"type":"string","isRequired":false,"description":"The ISIN (International Securities Identification Number) of a non-US listing. An alternative to `ticker` and `market`.","uniqueKey":"","typeLabel":"string"}}},"responses":{"4232485a-8e00-471e-85e5-dae8de839b22":{"description":"Financial metrics snapshot response","content":{"application/json":{"schema":{"type":"object","properties":{"snapshot":{"type":"object","properties":{"ticker":{"type":"string","description":"The ticker symbol of the company.","uniqueKey":"snapshot.ticker","typeLabel":"string"},"currency":{"oneOf":[{"type":"string","description":"The currency in which the financial data is reported.","uniqueKey":"snapshot.currency.oneOf.0","typeLabel":"string"},{"type":"null","description":"The currency in which the financial data is reported.","uniqueKey":"snapshot.currency.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.currency","typeLabel":"string | null"},"market_cap":{"oneOf":[{"type":"number","description":"The total market capitalization (stock price × shares outstanding).","uniqueKey":"snapshot.market_cap.oneOf.0","typeLabel":"number"},{"type":"null","description":"The total market capitalization (stock price × shares outstanding).","uniqueKey":"snapshot.market_cap.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.market_cap","typeLabel":"number | null"},"enterprise_value":{"oneOf":[{"type":"number","description":"The total value of the company (market cap + debt - cash).","uniqueKey":"snapshot.enterprise_value.oneOf.0","typeLabel":"number"},{"type":"null","description":"The total value of the company (market cap + debt - cash).","uniqueKey":"snapshot.enterprise_value.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.enterprise_value","typeLabel":"number | null"},"price_to_earnings_ratio":{"oneOf":[{"type":"number","description":"Price to earnings ratio.","uniqueKey":"snapshot.price_to_earnings_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Price to earnings ratio.","uniqueKey":"snapshot.price_to_earnings_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.price_to_earnings_ratio","typeLabel":"number | null"},"price_to_book_ratio":{"oneOf":[{"type":"number","description":"Price to book ratio.","uniqueKey":"snapshot.price_to_book_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Price to book ratio.","uniqueKey":"snapshot.price_to_book_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.price_to_book_ratio","typeLabel":"number | null"},"price_to_sales_ratio":{"oneOf":[{"type":"number","description":"Price to sales ratio.","uniqueKey":"snapshot.price_to_sales_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Price to sales ratio.","uniqueKey":"snapshot.price_to_sales_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.price_to_sales_ratio","typeLabel":"number | null"},"enterprise_value_to_ebitda_ratio":{"oneOf":[{"type":"number","description":"Enterprise value to EBITDA ratio.","uniqueKey":"snapshot.enterprise_value_to_ebitda_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Enterprise value to EBITDA ratio.","uniqueKey":"snapshot.enterprise_value_to_ebitda_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.enterprise_value_to_ebitda_ratio","typeLabel":"number | null"},"enterprise_value_to_revenue_ratio":{"oneOf":[{"type":"number","description":"Enterprise value to revenue ratio.","uniqueKey":"snapshot.enterprise_value_to_revenue_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Enterprise value to revenue ratio.","uniqueKey":"snapshot.enterprise_value_to_revenue_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.enterprise_value_to_revenue_ratio","typeLabel":"number | null"},"free_cash_flow_yield":{"oneOf":[{"type":"number","description":"Free cash flow yield.","uniqueKey":"snapshot.free_cash_flow_yield.oneOf.0","typeLabel":"number"},{"type":"null","description":"Free cash flow yield.","uniqueKey":"snapshot.free_cash_flow_yield.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.free_cash_flow_yield","typeLabel":"number | null"},"peg_ratio":{"oneOf":[{"type":"number","description":"Price to earnings growth ratio.","uniqueKey":"snapshot.peg_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Price to earnings growth ratio.","uniqueKey":"snapshot.peg_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.peg_ratio","typeLabel":"number | null"},"gross_margin":{"oneOf":[{"type":"number","description":"Gross profit as a percentage of revenue.","uniqueKey":"snapshot.gross_margin.oneOf.0","typeLabel":"number"},{"type":"null","description":"Gross profit as a percentage of revenue.","uniqueKey":"snapshot.gross_margin.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.gross_margin","typeLabel":"number | null"},"operating_margin":{"oneOf":[{"type":"number","description":"Operating income as a percentage of revenue.","uniqueKey":"snapshot.operating_margin.oneOf.0","typeLabel":"number"},{"type":"null","description":"Operating income as a percentage of revenue.","uniqueKey":"snapshot.operating_margin.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.operating_margin","typeLabel":"number | null"},"net_margin":{"oneOf":[{"type":"number","description":"Net income as a percentage of revenue.","uniqueKey":"snapshot.net_margin.oneOf.0","typeLabel":"number"},{"type":"null","description":"Net income as a percentage of revenue.","uniqueKey":"snapshot.net_margin.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.net_margin","typeLabel":"number | null"},"return_on_equity":{"oneOf":[{"type":"number","description":"Net income as a percentage of shareholders' equity.","uniqueKey":"snapshot.return_on_equity.oneOf.0","typeLabel":"number"},{"type":"null","description":"Net income as a percentage of shareholders' equity.","uniqueKey":"snapshot.return_on_equity.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.return_on_equity","typeLabel":"number | null"},"return_on_assets":{"oneOf":[{"type":"number","description":"Net income as a percentage of total assets.","uniqueKey":"snapshot.return_on_assets.oneOf.0","typeLabel":"number"},{"type":"null","description":"Net income as a percentage of total assets.","uniqueKey":"snapshot.return_on_assets.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.return_on_assets","typeLabel":"number | null"},"return_on_invested_capital":{"oneOf":[{"type":"number","description":"Net operating profit after taxes as a percentage of invested capital.","uniqueKey":"snapshot.return_on_invested_capital.oneOf.0","typeLabel":"number"},{"type":"null","description":"Net operating profit after taxes as a percentage of invested capital.","uniqueKey":"snapshot.return_on_invested_capital.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.return_on_invested_capital","typeLabel":"number | null"},"asset_turnover":{"oneOf":[{"type":"number","description":"Revenue divided by average total assets.","uniqueKey":"snapshot.asset_turnover.oneOf.0","typeLabel":"number"},{"type":"null","description":"Revenue divided by average total assets.","uniqueKey":"snapshot.asset_turnover.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.asset_turnover","typeLabel":"number | null"},"inventory_turnover":{"oneOf":[{"type":"number","description":"Cost of goods sold divided by average inventory.","uniqueKey":"snapshot.inventory_turnover.oneOf.0","typeLabel":"number"},{"type":"null","description":"Cost of goods sold divided by average inventory.","uniqueKey":"snapshot.inventory_turnover.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.inventory_turnover","typeLabel":"number | null"},"receivables_turnover":{"oneOf":[{"type":"number","description":"Revenue divided by average accounts receivable.","uniqueKey":"snapshot.receivables_turnover.oneOf.0","typeLabel":"number"},{"type":"null","description":"Revenue divided by average accounts receivable.","uniqueKey":"snapshot.receivables_turnover.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.receivables_turnover","typeLabel":"number | null"},"days_sales_outstanding":{"oneOf":[{"type":"number","description":"Average accounts receivable divided by revenue over the period.","uniqueKey":"snapshot.days_sales_outstanding.oneOf.0","typeLabel":"number"},{"type":"null","description":"Average accounts receivable divided by revenue over the period.","uniqueKey":"snapshot.days_sales_outstanding.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.days_sales_outstanding","typeLabel":"number | null"},"operating_cycle":{"oneOf":[{"type":"number","description":"Inventory turnover + receivables turnover.","uniqueKey":"snapshot.operating_cycle.oneOf.0","typeLabel":"number"},{"type":"null","description":"Inventory turnover + receivables turnover.","uniqueKey":"snapshot.operating_cycle.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.operating_cycle","typeLabel":"number | null"},"working_capital_turnover":{"oneOf":[{"type":"number","description":"Revenue divided by average working capital.","uniqueKey":"snapshot.working_capital_turnover.oneOf.0","typeLabel":"number"},{"type":"null","description":"Revenue divided by average working capital.","uniqueKey":"snapshot.working_capital_turnover.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.working_capital_turnover","typeLabel":"number | null"},"current_ratio":{"oneOf":[{"type":"number","description":"Current assets divided by current liabilities.","uniqueKey":"snapshot.current_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Current assets divided by current liabilities.","uniqueKey":"snapshot.current_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.current_ratio","typeLabel":"number | null"},"quick_ratio":{"oneOf":[{"type":"number","description":"Quick assets divided by current liabilities.","uniqueKey":"snapshot.quick_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Quick assets divided by current liabilities.","uniqueKey":"snapshot.quick_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.quick_ratio","typeLabel":"number | null"},"cash_ratio":{"oneOf":[{"type":"number","description":"Cash and cash equivalents divided by current liabilities.","uniqueKey":"snapshot.cash_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Cash and cash equivalents divided by current liabilities.","uniqueKey":"snapshot.cash_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.cash_ratio","typeLabel":"number | null"},"operating_cash_flow_ratio":{"oneOf":[{"type":"number","description":"Operating cash flow divided by current liabilities.","uniqueKey":"snapshot.operating_cash_flow_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Operating cash flow divided by current liabilities.","uniqueKey":"snapshot.operating_cash_flow_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.operating_cash_flow_ratio","typeLabel":"number | null"},"debt_to_equity":{"oneOf":[{"type":"number","description":"Total debt divided by shareholders' equity.","uniqueKey":"snapshot.debt_to_equity.oneOf.0","typeLabel":"number"},{"type":"null","description":"Total debt divided by shareholders' equity.","uniqueKey":"snapshot.debt_to_equity.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.debt_to_equity","typeLabel":"number | null"},"debt_to_assets":{"oneOf":[{"type":"number","description":"Total debt divided by total assets.","uniqueKey":"snapshot.debt_to_assets.oneOf.0","typeLabel":"number"},{"type":"null","description":"Total debt divided by total assets.","uniqueKey":"snapshot.debt_to_assets.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.debt_to_assets","typeLabel":"number | null"},"interest_coverage":{"oneOf":[{"type":"number","description":"EBIT divided by interest expense.","uniqueKey":"snapshot.interest_coverage.oneOf.0","typeLabel":"number"},{"type":"null","description":"EBIT divided by interest expense.","uniqueKey":"snapshot.interest_coverage.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.interest_coverage","typeLabel":"number | null"},"revenue_growth":{"oneOf":[{"type":"number","description":"Year-over-year growth in revenue.","uniqueKey":"snapshot.revenue_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Year-over-year growth in revenue.","uniqueKey":"snapshot.revenue_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.revenue_growth","typeLabel":"number | null"},"earnings_growth":{"oneOf":[{"type":"number","description":"Year-over-year growth in earnings.","uniqueKey":"snapshot.earnings_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Year-over-year growth in earnings.","uniqueKey":"snapshot.earnings_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.earnings_growth","typeLabel":"number | null"},"book_value_growth":{"oneOf":[{"type":"number","description":"Year-over-year growth in book value.","uniqueKey":"snapshot.book_value_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Year-over-year growth in book value.","uniqueKey":"snapshot.book_value_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.book_value_growth","typeLabel":"number | null"},"earnings_per_share_growth":{"oneOf":[{"type":"number","description":"Growth in earnings per share over the period.","uniqueKey":"snapshot.earnings_per_share_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Growth in earnings per share over the period.","uniqueKey":"snapshot.earnings_per_share_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.earnings_per_share_growth","typeLabel":"number | null"},"free_cash_flow_growth":{"oneOf":[{"type":"number","description":"Growth in free cash flow over the period.","uniqueKey":"snapshot.free_cash_flow_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Growth in free cash flow over the period.","uniqueKey":"snapshot.free_cash_flow_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.free_cash_flow_growth","typeLabel":"number | null"},"operating_income_growth":{"oneOf":[{"type":"number","description":"Growth in operating income over the period.","uniqueKey":"snapshot.operating_income_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Growth in operating income over the period.","uniqueKey":"snapshot.operating_income_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.operating_income_growth","typeLabel":"number | null"},"ebitda_growth":{"oneOf":[{"type":"number","description":"Growth in EBITDA over the period.","uniqueKey":"snapshot.ebitda_growth.oneOf.0","typeLabel":"number"},{"type":"null","description":"Growth in EBITDA over the period.","uniqueKey":"snapshot.ebitda_growth.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.ebitda_growth","typeLabel":"number | null"},"payout_ratio":{"oneOf":[{"type":"number","description":"Dividends paid as a percentage of net income.","uniqueKey":"snapshot.payout_ratio.oneOf.0","typeLabel":"number"},{"type":"null","description":"Dividends paid as a percentage of net income.","uniqueKey":"snapshot.payout_ratio.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.payout_ratio","typeLabel":"number | null"},"earnings_per_share":{"oneOf":[{"type":"number","description":"Net income divided by weighted average shares outstanding.","uniqueKey":"snapshot.earnings_per_share.oneOf.0","typeLabel":"number"},{"type":"null","description":"Net income divided by weighted average shares outstanding.","uniqueKey":"snapshot.earnings_per_share.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.earnings_per_share","typeLabel":"number | null"},"book_value_per_share":{"oneOf":[{"type":"number","description":"Shareholders' equity divided by shares outstanding.","uniqueKey":"snapshot.book_value_per_share.oneOf.0","typeLabel":"number"},{"type":"null","description":"Shareholders' equity divided by shares outstanding.","uniqueKey":"snapshot.book_value_per_share.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.book_value_per_share","typeLabel":"number | null"},"free_cash_flow_per_share":{"oneOf":[{"type":"number","description":"Free cash flow divided by shares outstanding.","uniqueKey":"snapshot.free_cash_flow_per_share.oneOf.0","typeLabel":"number"},{"type":"null","description":"Free cash flow divided by shares outstanding.","uniqueKey":"snapshot.free_cash_flow_per_share.oneOf.1","typeLabel":"null"}],"uniqueKey":"snapshot.free_cash_flow_per_share","typeLabel":"number | null"}},"uniqueKey":"snapshot","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"snapshot":{"ticker":"\u003cstring>","currency":"\u003cstring>","market_cap":123,"enterprise_value":123,"price_to_earnings_ratio":123,"price_to_book_ratio":123,"price_to_sales_ratio":123,"enterprise_value_to_ebitda_ratio":123,"enterprise_value_to_revenue_ratio":123,"free_cash_flow_yield":123,"peg_ratio":123,"gross_margin":123,"operating_margin":123,"net_margin":123,"return_on_equity":123,"return_on_assets":123,"return_on_invested_capital":123,"asset_turnover":123,"inventory_turnover":123,"receivables_turnover":123,"days_sales_outstanding":123,"operating_cycle":123,"working_capital_turnover":123,"current_ratio":123,"quick_ratio":123,"cash_ratio":123,"operating_cash_flow_ratio":123,"debt_to_equity":123,"debt_to_assets":123,"interest_coverage":123,"revenue_growth":123,"earnings_growth":123,"book_value_growth":123,"earnings_per_share_growth":123,"free_cash_flow_growth":123,"operating_income_growth":123,"ebitda_growth":123,"payout_ratio":123,"earnings_per_share":123,"book_value_per_share":123,"free_cash_flow_per_share":123}}}},"exampleType":"generated"}},"exampleType":"generated"},"325f4c0d-a302-4bd9-bbe0-97616a9f5b96":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A short error message.","uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"A more detailed error message.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Bad Request","message":"Invalid request parameters"},"examples":{"Example":{"title":"Example","value":{"error":"Bad Request","message":"Invalid request parameters"}}},"exampleType":"examples"}},"exampleType":"examples"},"6aa54eb2-97e5-44e8-8eda-9b324d6cd57c":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A short error message.","uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"A more detailed error message.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Unauthorized","message":"Invalid API key provided"},"examples":{"Example":{"title":"Example","value":{"error":"Unauthorized","message":"Invalid API key provided"}}},"exampleType":"examples"}},"exampleType":"examples"},"fbda122d-5d21-461e-8218-b0e630e365e3":{"description":"The request requires a paid subscription","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A short error message.","uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"A more detailed error message.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Payment Required","message":"This endpoint requires a paid subscription. Please upgrade your plan."},"examples":{"Example":{"title":"Example","value":{"error":"Payment Required","message":"This endpoint requires a paid subscription. Please upgrade your plan."}}},"exampleType":"examples"}},"exampleType":"examples"},"845f5ac1-b9ed-40c0-bbf6-5879a7c2eadd":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string","description":"A short error message.","uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","description":"A more detailed error message.","uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Not Found","message":"Ticker XXXX not found"},"examples":{"Example":{"title":"Example","value":{"error":"Not Found","message":"Ticker XXXX not found"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"8818abad-b02e-49df-aeb4-7a72516a479d":{"X-API-KEY":{"type":"apiKey","name":"X-API-KEY","description":"API key for authentication.","in":"header","scopes":[],"schemeName":"X-API-KEY"}}},"servers":{"6743c038-7a20-4c6b-a97d-4577e760fd5d":{"url":"https://api.financialdatasets.ai/","description":"Production server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"X-API-KEY","description":"API key for authentication.","in":"header","scopes":[],"schemeName":"X-API-KEY"},"schema":{"title":"X-API-KEY","type":"string","description":"API key for authentication.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"X-API-KEY","name":"X-API-KEY"}],"title":"X-API-KEY"}]},"originalFileLocation":"api/openapi.json"},"subdomain":"financialdatasets","siteName":"Financial Datasets","title":"Financial Metrics API (Snapshot) - Financial Datasets","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-12T20:01:16.168Z","originalFileLocation":"api/financial-metrics/snapshot.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Financial Datasets\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Financial Metrics API (Snapshot) - Financial Datasets\">\u003cmeta data-mint-head property=\"og:description\" content=\"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Financial Datasets\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://financialdatasets.mintlify.site/_mintlify/api/og/v2?division=Financial+Metrics\u0026amp;title=Financial+Metrics+API+%28Snapshot%29\u0026amp;description=The+current+financial+ratios+and+metrics+of+a+US+stock%2C+including+market+cap%2C+P%2FE%2C+EV%2FEBITDA%2C+margins%2C+and+growth%2C+for+13%2C000%2B+tickers%2C+updated+within+1+second.\u0026amp;theme=13fe7de9ed8b92eba09122fd\u0026amp;signature=6b78962f49eb538d95ae60f2e295f49b02938d1349c1d10d5113d5f6cb1bfef3\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Financial Metrics API (Snapshot) - Financial Datasets\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://financialdatasets.mintlify.site/_mintlify/api/og/v2?division=Financial+Metrics\u0026amp;title=Financial+Metrics+API+%28Snapshot%29\u0026amp;description=The+current+financial+ratios+and+metrics+of+a+US+stock%2C+including+market+cap%2C+P%2FE%2C+EV%2FEBITDA%2C+margins%2C+and+growth%2C+for+13%2C000%2B+tickers%2C+updated+within+1+second.\u0026amp;theme=13fe7de9ed8b92eba09122fd\u0026amp;signature=6b78962f49eb538d95ae60f2e295f49b02938d1349c1d10d5113d5f6cb1bfef3\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/financialdatasets/MlxpJ4-p-NZaTTET/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Financial Datasets\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#26251E\">\u003cmeta data-mint-head name=\"image\" content=\"/images/new-docs.png\">\u003cmeta data-mint-head name=\"type\" content=\"website\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api/financial-metrics/snapshot.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.financialdatasets.ai/#organization\",\"name\":\"Financial Datasets\",\"url\":\"https://docs.financialdatasets.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/financialdatasets/a_k2mvb6Uv1PgEyn/logo/light.svg?fit=max\u0026auto=format\u0026n=a_k2mvb6Uv1PgEyn\u0026q=85\u0026s=daeaecf8e650c693ec5950b51cbe29d2\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.financialdatasets.ai#website\",\"name\":\"Financial Datasets\",\"url\":\"https://docs.financialdatasets.ai\",\"publisher\":{\"@id\":\"https://docs.financialdatasets.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot#webpage\",\"url\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot\",\"name\":\"Financial Metrics API (Snapshot)\",\"description\":\"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\",\"dateModified\":\"2026-11-12T20:01:16.168Z\",\"isPartOf\":{\"@id\":\"https://docs.financialdatasets.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Datasets\",\"item\":\"https://docs.financialdatasets.ai/api/activist-ownership\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Financial Metrics\",\"item\":\"https://docs.financialdatasets.ai/api/financial-metrics/historical\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Financial Metrics API (Snapshot)\",\"item\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot#apireference\",\"headline\":\"Financial Metrics API (Snapshot)\",\"name\":\"Financial Metrics API (Snapshot)\",\"description\":\"The current financial ratios and metrics of a US stock, including market cap, P/E, EV/EBITDA, margins, and growth, for 13,000+ tickers, updated within 1 second.\",\"url\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot\",\"mainEntityOfPage\":{\"@id\":\"https://docs.financialdatasets.ai/api/financial-metrics/snapshot#webpage\"},\"dateModified\":\"2026-11-12T20:01:16.168Z\",\"publisher\":{\"@id\":\"https://docs.financialdatasets.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.financialdatasets.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Financial Datasets\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Financial Datasets\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api/financial-metrics/snapshot.md","siteName":"Financial Datasets","nav":{"global":null,"groups":[{"group":"Overview","pages":[{"title":"Introduction","sidebarTitle":"Intro","href":"/introduction"},{"title":"Quick Start","sidebarTitle":"Quickstart","href":"/quickstart"},{"title":"Data Provenance","sidebarTitle":"Provenance","href":"/data-provenance"},{"title":"Market Coverage","sidebarTitle":"Coverage","href":"/market-coverage"}]},{"group":"Integrations","pages":[{"title":"Agent Onboarding","sidebarTitle":"Agent Onboarding","href":"/agents"},{"title":"Financial Data MCP Server","sidebarTitle":"MCP Server","href":"/mcp-server"},{"title":"OpenAPI Spec","href":"/openapi-spec"},{"group":"Webhooks","pages":[{"title":"Webhooks","sidebarTitle":"Overview","href":"/webhooks"},{"title":"Webhook Event Types","sidebarTitle":"Event Types","href":"/webhooks/events"}]},{"title":"x402","sidebarTitle":"x402","href":"/x402"}]},{"group":"Search","tag":"ALPHA","pages":[{"title":"Search","sidebarTitle":"Overview","openapi":"POST /search","hideApiMarker":true,"href":"/search/introduction"},{"title":"Best Practices","href":"/search/best-practices"}]},{"group":"Datasets","pages":[{"title":"Activist Investor API (SEC Schedule 13D)","sidebarTitle":"Activist Ownership","openapi":"GET /activist-ownership","hideApiMarker":true,"href":"/api/activist-ownership"},{"title":"Beneficial Ownership API (13D, 13G)","sidebarTitle":"Beneficial Ownership","openapi":"GET /beneficial-ownership","hideApiMarker":true,"href":"/api/beneficial-ownership"},{"group":"Company","pages":[{"title":"Company Profile API by CIK","sidebarTitle":"Facts (by CIK)","openapi":"GET /company/facts","href":"/api/company/facts/cik"},{"title":"Company Profile API (Sector, CIK)","sidebarTitle":"Facts (by ticker)","openapi":"GET /company/facts","href":"/api/company/facts/ticker"}]},{"group":"Earnings","pages":[{"title":"Earnings API","sidebarTitle":"Company Earnings","openapi":"GET /earnings","href":"/api/earnings"},{"title":"Earnings Feed API","sidebarTitle":"Earnings Feed","openapi":"GET /earnings","href":"/api/earnings/feed"}]},{"group":"Financial Metrics","pages":[{"title":"Financial Metrics API (Historical)","sidebarTitle":"Historical","description":"Historical financial ratios for 19,000+ US tickers with 30+ years of history: P/E, EV/EBITDA, ROE, margins, growth, and other annual, quarterly, and TTM metrics.","openapi":"GET /financial-metrics","href":"/api/financial-metrics/historical"},{"title":"Financial Metrics API (Snapshot)","sidebarTitle":"Snapshot","openapi":"GET /financial-metrics/snapshot","href":"/api/financial-metrics/snapshot"}]},{"group":"Financial Statements","pages":[{"title":"Income Statement API","sidebarTitle":"Income Statements","description":"Income statements for 19,000+ US tickers with 30+ years of history: annual, quarterly, and TTM revenue, expenses, and net income, plus UK and French companies.","openapi":"GET /financials/income-statements","href":"/api/financials/income-statements"},{"title":"Balance Sheet API","sidebarTitle":"Balance Sheets","openapi":"GET /financials/balance-sheets","href":"/api/financials/balance-sheets"},{"title":"Cash Flow Statement API","sidebarTitle":"Cash Flow Statements","openapi":"GET /financials/cash-flow-statements","href":"/api/financials/cash-flow-statements"},{"title":"Financial Statements API","sidebarTitle":"All Financial Statements","openapi":"GET /financials","href":"/api/financials/all-financial-statements"},{"title":"As-Reported Financial Statements API","sidebarTitle":"As-Reported Statements","openapi":"GET /financials/as-reported","href":"/api/financials/as-reported"},{"title":"Financial Line Items API","sidebarTitle":"Line Items","openapi":"POST /financials/search/line-items","href":"/api/financials/search-line-items"}]},{"group":"GDP","pages":[{"title":"GDP Data API","sidebarTitle":"Historical","openapi":"GET /macro/gdp","href":"/api/macro/gdp/historical"},{"title":"Latest GDP Report API","sidebarTitle":"Snapshot","openapi":"GET /macro/gdp/snapshot","href":"/api/macro/gdp/snapshot"}]},{"group":"GPU Prices","pages":[{"title":"GPU Rental Price API (H100, B200)","sidebarTitle":"Historical","openapi":"GET /macro/gpu-prices","href":"/api/macro/gpu-prices/historical"},{"title":"Latest GPU Rental Prices API","sidebarTitle":"Snapshot","openapi":"GET /macro/gpu-prices/snapshot","href":"/api/macro/gpu-prices/snapshot"}]},{"group":"Index Funds","pages":[{"title":"ETF Holdings API","sidebarTitle":"Holdings (by fund)","openapi":"GET /index-funds","href":"/api/index-funds/ticker"},{"title":"ETFs Holding a Stock API","sidebarTitle":"Funds (by holding)","openapi":"GET /index-funds","href":"/api/index-funds/holding"}]},{"group":"Inflation","pages":[{"title":"Inflation Data API (CPI, PCE)","sidebarTitle":"Historical","openapi":"GET /macro/inflation","href":"/api/macro/inflation/historical"},{"title":"Latest CPI and PCE Inflation API","sidebarTitle":"Snapshot","openapi":"GET /macro/inflation/snapshot","href":"/api/macro/inflation/snapshot"}]},{"title":"Insider Ownership API (Forms 3, 5)","sidebarTitle":"Insider Ownership","openapi":"GET /insider-ownership","hideApiMarker":true,"href":"/api/insider-ownership"},{"title":"Insider Trading API (SEC Form 4)","sidebarTitle":"Insider Trades","openapi":"GET /insider-trades","hideApiMarker":true,"href":"/api/insider-trades"},{"title":"Congressional Trading API (House Stock Trades)","sidebarTitle":"Politician Trades","openapi":"GET /politician-trades","hideApiMarker":true,"href":"/api/politician-trades"},{"group":"Institutional Holdings","pages":[{"title":"13F Holdings API (by Investor)","sidebarTitle":"Holdings (by investor)","openapi":"GET /institutional-holdings","href":"/api/institutional-holdings/investor"},{"title":"Institutional Holdings API (SEC 13F)","sidebarTitle":"Owners (by ticker)","openapi":"GET /institutional-holdings","href":"/api/institutional-holdings/ticker"}]},{"group":"Interest Rates","pages":[{"title":"Central Bank Interest Rates API","sidebarTitle":"Historical","openapi":"GET /macro/interest-rates","href":"/api/macro/interest-rates/historical"},{"title":"Current Central Bank Interest Rates API","sidebarTitle":"Snapshot","openapi":"GET /macro/interest-rates/snapshot","href":"/api/macro/interest-rates/snapshot"}]},{"title":"IPO Data API (S-1 and F-1 Filings)","sidebarTitle":"IPOs","openapi":"GET /ipos","hideApiMarker":true,"href":"/api/ipos"},{"group":"Labor Market","pages":[{"title":"Labor Market Data API","sidebarTitle":"Historical","openapi":"GET /macro/labor","href":"/api/macro/labor/historical"},{"title":"Latest Jobs Report API","sidebarTitle":"Snapshot","openapi":"GET /macro/labor/snapshot","href":"/api/macro/labor/snapshot"}]},{"group":"News","pages":[{"title":"Stock News API (Company News)","sidebarTitle":"Company News","openapi":"api/news/openapi-company.json GET /news","href":"/api/news/company"},{"title":"Market News API","sidebarTitle":"Market News","openapi":"api/news/openapi-market.json GET /news","href":"/api/news/market"}]},{"group":"Operating KPIs","pages":[{"title":"Company KPI Data API","sidebarTitle":"Metrics","openapi":"GET /kpi/metrics","href":"/api/kpi/metrics"},{"title":"Earnings Guidance API","sidebarTitle":"Guidance","openapi":"GET /kpi/guidance","href":"/api/kpi/guidance"},{"title":"Non-GAAP Metrics API (Adjusted EPS)","sidebarTitle":"Non-GAAP Metrics","openapi":"GET /kpi/non-gaap","href":"/api/kpi/non-gaap"}]},{"group":"SEC Filings","pages":[{"title":"SEC Filings API (10-K, 10-Q, 8-K)","sidebarTitle":"Filings","openapi":"GET /filings","href":"/api/filings/ticker"},{"title":"SEC Filing Sections API (10-K Items)","sidebarTitle":"Items","openapi":"GET /filings/items","href":"/api/filings/items"}]},{"group":"Segmented Financials","pages":[{"title":"Segmented Revenue API","sidebarTitle":"Income Statement","openapi":"GET /financials/income-statements/segments","href":"/api/financials/income-statement-segments"},{"title":"Balance Sheet Segments API","sidebarTitle":"Balance Sheet","openapi":"GET /financials/balance-sheets/segments","href":"/api/financials/balance-sheet-segments"},{"title":"Cash Flow Segments API","sidebarTitle":"Cash Flow Statement","openapi":"GET /financials/cash-flow-statements/segments","href":"/api/financials/cash-flow-statement-segments"},{"title":"Segmented Financials API (All Segments)","sidebarTitle":"All Segmented Financials","openapi":"GET /financials/segments","href":"/api/financials/all-segments"}]},{"group":"Stock Prices","pages":[{"title":"Stock Price API (Historical OHLCV)","sidebarTitle":"Historical","openapi":"GET /prices","href":"/api/prices/historical"},{"title":"Real-Time Stock Price API","sidebarTitle":"Company Snapshot","openapi":"GET /prices/snapshot","href":"/api/prices/snapshot"},{"title":"US Market Snapshot API","sidebarTitle":"Market Snapshot","openapi":"GET /prices/snapshot/market","href":"/api/prices/market-snapshot"}]},{"title":"Stock Screener API","sidebarTitle":"Stock Screener","openapi":"POST /financials/search/screener","hideApiMarker":true,"href":"/api/financials/search-screener"},{"group":"Treasury Yields","pages":[{"title":"Treasury Yield Curve API","sidebarTitle":"Historical","openapi":"GET /macro/yield-curve","href":"/api/macro/yield-curve/historical"},{"title":"Latest Treasury Yield Curve API","sidebarTitle":"Snapshot","openapi":"GET /macro/yield-curve/snapshot","href":"/api/macro/yield-curve/snapshot"}]}]},{"group":"Guides","pages":[{"title":"Get US Fundamentals","href":"/guides/analyze-financial-statements-python"},{"title":"UK Fundamentals in Python","sidebarTitle":"Get UK Fundamentals","href":"/guides/get-uk-fundamentals-python"},{"title":"France Fundamentals in Python","sidebarTitle":"Get France Fundamentals","href":"/guides/get-france-fundamentals-python"},{"title":"Pull Stock Prices","href":"/guides/get-stock-prices-python"},{"title":"Search SEC Filings","href":"/guides/search-sec-filings-python"},{"title":"Set Up Webhooks","href":"/guides/setup-webhooks"},{"title":"Understanding Pagination","href":"/guides/pagination"}]}]},"basePath":"","title":"Financial Metrics API (Snapshot) - Financial Datasets","buildId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","deploymentId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DDP9JXtj.js","utils-8yQyvEtx.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CBCFR8Sn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-rQaXkUHa.js","snippetPresets-J5KpBTgV.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BVxVH4Cj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BxdQ2vIi.js","shallow-BjV2tFiD.js","getApiPlaygroundDisplay-C_55tL4O.js","CodeSnippet-C0JpiCOC.js","CodeSnippets-w9Ps7djG.js","Page-DTNSD-0M.js","getPastedJson-BDfB-H8d.js","icon-g-kUkkO9.js","MethodPill-v4l6fq0h.js","DuplicateIcon-CvLo-CfU.js","createIcon-165clrrV.js","DynamicMarkdown-D3RQ-fEj.js","SectionHeading-vvo-3yLf.js","axios-vUo_bRtp.js","Markdown-CMT1uFWQ.js","clsx-C8f2yC9R.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CI2D8R2Y.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-k78Wrw_e.js"]}